Page MenuHomePhabricator

Archive the MagicNumberedHeadings extension
Closed, ResolvedPublicRequest

Description

Reason

Archived on MediaWiki.org by @Kghbln. Filing this task per T190671

To-do list

  • This task
    • Add maintainers of that extension as subscribers to this task (if they have no apparent Phabricator account, notify them on-wiki or via email if possible and note it here).
    • Add Phabricator project <#ProjectX> as a tag for this task, and remove MediaWiki-extensions-Other
  • On-wiki documentation
    • Archive documentation on mediawiki.org (provide URL): replace page contents with {{Archived extension|last revision id before archiving|reason=archive reasons, per {{phab|T248758}}.}}.
    • If documentation page was translatable, remove <translate>, visit Special:PageTranslation, and click "remove from translation" (if you don't have the translation administrator right, ask a user who does).
    • Update Wikidata item (provide URL) associated with documentation page
      • add statement Abandonware (Q281039) to instance of (P31) together with qualifier start time (P580) = the YYYY-MM-DD date that you decided to archive extension (generally per edit history)
      • add qualifier end time (P582) = the YYYY-MM-DD (same date as above) to instance of (P31) = MediaWiki extension (Q6805426)
  • Phabricator
    • Mark all Phabricator tasks for the extension either Declined or Invalid. Add a comment pointing to this task when doing so for reference.
    • Archive Phabricator project <#ProjectX> for the extension.
    • Edit Phabricator project <#ProjectX> description for the extension with a link to this ticket.
  • Translatewiki.net/translations
  • Configuration/tests/integrations/etc.
  • Repositories

Event Timeline

Pppery created this task.Mar 28 2020, 8:53 PM
Restricted Application added subscribers: Liuxinyu970226, Aklapper. · View Herald TranscriptMar 28 2020, 8:53 PM
Dinoguy1000 updated the task description. (Show Details)Mar 29 2020, 6:26 AM

Change 584277 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[translatewiki@master] Archive the MagicNumberedHeadings extension

https://gerrit.wikimedia.org/r/584277

Change 584277 merged by jenkins-bot:
[translatewiki@master] Archive the MagicNumberedHeadings extension

https://gerrit.wikimedia.org/r/584277

Kizule moved this task from Backlog to delete on the Wikimedia-GitHub board.Apr 14 2020, 4:27 PM
Kizule moved this task from Backlog to Configuration changes on the translatewiki.net board.
Kizule claimed this task.Apr 14 2020, 4:43 PM
Kizule updated the task description. (Show Details)
Restricted Application added a project: User-Kizule. · View Herald TranscriptApr 14 2020, 4:43 PM
Kizule moved this task from Inbox to Working on on the User-Kizule board.Apr 14 2020, 4:44 PM

Change 588746 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/MagicNumberedHeadings@master] Archive the extension

https://gerrit.wikimedia.org/r/588746

Change 588747 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[integration/config@master] Archive the MagicNumberedHeadings extension

https://gerrit.wikimedia.org/r/588747

Change 588748 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions@master] Archive the MagicNumberedHeadings extension

https://gerrit.wikimedia.org/r/588748

Kizule updated the task description. (Show Details)Apr 14 2020, 4:53 PM
Kizule updated the task description. (Show Details)

Change 588747 merged by jenkins-bot:
[integration/config@master] Archive the MagicNumberedHeadings extension

https://gerrit.wikimedia.org/r/588747

Mentioned in SAL (#wikimedia-releng) [2020-04-14T17:00:54Z] <James_F> Zuul: Archiving MagicNumberedHeadings T248758; WikipediaExtracts T248760; OracleTextSearch T249656.

Change 588746 merged by Jforrester:
[mediawiki/extensions/MagicNumberedHeadings@master] Archive the extension

https://gerrit.wikimedia.org/r/588746

Kizule updated the task description. (Show Details)Apr 14 2020, 7:23 PM
MGChecker updated the task description. (Show Details)Apr 14 2020, 7:50 PM

Change 588748 merged by Jforrester:
[mediawiki/extensions@master] Archive the MagicNumberedHeadings extension

https://gerrit.wikimedia.org/r/588748

Kizule updated the task description. (Show Details)Apr 14 2020, 8:04 PM
hashar closed this task as Resolved.Apr 17 2020, 11:39 PM
hashar updated the task description. (Show Details)